Bug 496476 - (perl-Clipboard) Review Request: perl-Clipboard - Copy and paste with any OS
Review Request: perl-Clipboard - Copy and paste with any OS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Clipboard/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 10:33 EDT by Iain Arnell
Modified: 2009-05-08 23:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.09-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 23:30:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-19 10:33:50 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Clipboard.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Clipboard-0.09-1.fc12.src.rpm

Description:
Who doesn't remember the first time they learned to copy and paste, and
generated an exponentially growing text document? Yes, that's right,
clipboards are magical.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307884

*rt-0.06
Comment 1 Chris Weyl 2009-04-19 15:47:31 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307884

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
ff44b197a4a33cac864bb4925e8b9c2e82c2f6e6 Clipboard-0.09.tar.gz
ff44b197a4a33cac864bb4925e8b9c2e82c2f6e6 Clipboard-0.09.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Clipboard-0.09-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Clipboard-0.09-1.fc10.src.rpm
====> requires for perl-Clipboard-0.09-1.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Spiffy)  
perl(Test::More)  
xclip  

=====> perl-Clipboard-0.09-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Clipboard-0.09-1.fc10.noarch.rpm
perl(Clipboard) = 0.09
perl-Clipboard = 0.09-1.fc10
perl(Clipboard::Xclip)  
====> requires for perl-Clipboard-0.09-1.fc10.noarch.rpm
perl(Clipboard)  
perl(IO::All)  
perl(:MODULE_COMPAT_5.10.0)  
perl(Spiffy)  
perl(strict)  
/usr/bin/perl  
xclip  

APPROVED
Comment 2 Iain Arnell 2009-04-19 16:25:27 EDT
New Package CVS Request
=======================
Package Name: perl-Clipboard
Short Description: Copy and paste with any OS
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-23 12:39:06 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-23 23:27:36 EDT
perl-Clipboard-0.09-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Clipboard-0.09-1.fc10
Comment 5 Fedora Update System 2009-04-23 23:27:42 EDT
perl-Clipboard-0.09-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Clipboard-0.09-1.fc11
Comment 6 Iain Arnell 2009-04-23 23:30:29 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-06 19:31:50 EDT
perl-Clipboard-0.09-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-08 23:54:51 EDT
perl-Clipboard-0.09-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.